Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jaxen.expr
Class DefaultRelativeLocationPath

    java.lang.Object
      org.jaxen.expr.DefaultExpr
          org.jaxen.expr.DefaultLocationPath
              org.jaxen.expr.DefaultRelativeLocationPath

All Implemented Interfaces:
  Expr, LocationPath, Serializable, Visitable

Deprecated. this class will become non-public in the future; use the interface instead

public class DefaultRelativeLocationPath
extends org.jaxen.expr.DefaultLocationPath

See Also:
  Serialized Form

Constructor Summary
`DefaultRelativeLocationPath()` Deprecated.

Method Summary
`void` | `accept(Visitor visitor)` Deprecated.
`void` | `addStep(Step step)`
`Object` | `evaluate(Context context)`
`List` | `getSteps()`
`String` | `getText()`
`boolean` | `isAbsolute()`
`Expr` | `simplify()`
`String` | `toString()` Deprecated.

Methods inherited from class org.jaxen.expr.DefaultExpr
`convertToIterator, convertToList`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DefaultRelativeLocationPath

    public DefaultRelativeLocationPath()

  Deprecated.

Method Detail

### toString

    public String toString()

  Deprecated.

### accept

    public void accept(Visitor visitor)

  Deprecated.

### addStep

    public void addStep(Step step)

  Specified by:
    `addStep` in interface `LocationPath`

### getSteps

    public List getSteps()

  Specified by:
    `getSteps` in interface `LocationPath`

### simplify

    public Expr simplify()

  Specified by:
    `simplify` in interface `Expr`
  Overrides:
    `simplify` in class `DefaultExpr`

### getText

    public String getText()

  Specified by:
    `getText` in interface `Expr`

### isAbsolute

    public boolean isAbsolute()

  Specified by:
    `isAbsolute` in interface `LocationPath`

### evaluate

    public Object evaluate(Context context)
                    throws JaxenException

  Specified by:
    `evaluate` in interface `Expr`
  Throws:
    `JaxenException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 Codehaus. All Rights Reserved.